How to upgrade to Confluence 5.6.4 from 5.1.3

Atlassian Support.  How do we upgrade to 5.6.4 from 5.1.3.  The 5.6.4 SQL database requires a different collation which means the normal upgrade procedures will not work, simply upgrading the app.

Do you have details instructions on how to perform this upgrade for a large Confluence instance?

1 answer

1 vote

Hi William,

You might be looking for this KB article.

Confluence must be using the SQL_Latin1_General_CP1_CS_AS as collation and also the net.sf.hibernate.dialect.SQLServerIntlDialect dialect in the confluence.cfg.xml before the upgrade to make sure that it will create the new datatypes.

I hope this helps,

Cheers,

Rodrigo

Hello Rodrigo,

I believe I may have seen that article.  But we have a large confluence instance and I have read that performing an XML backup and restore is not recommended, possible data loss, which I cannot have.

this is a drawback indeed. I can recommend you to use in this case some third party database tool to change the collation of the database. In this doc, you can find the collation changer tool that might help in this case.

Cheers,

Rodrigo

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Oct 09, 2018 in Confluence

Introducing Praecipio Consulting, an Atlassian Solution Partner

Hey there Community!  My name is Vannya Vallejo, the Channel Communication Specialist at Atlassian and I want to help Atlassian users like you learn about our Solution Partners and how they c...

409 views 0 9
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you